//----------------------------------------------------------------------------
// pacman-like game
// copyright 2010 christopher rasmussen
// university of delaware
// v. 1.0

//----------------------------------------------------------------------------

#include "TeamGoingSolo.hh"

//----------------------------------------------------------------------------
//----------------------------------------------------------------------------

// ALL STUDENTS WRITE THIS FOR PROJECT 3

// ad-hoc or minimax ok for "The Arena"


bool isGhostPos( Point_2D, vector<Point_2D> );
Point_2D turnRight( Point_2D );
bool isEmptyPoint( Point_2D, BlockMaze * );

void TeamGoingSolo::update(const GameState & GS, BlockMaze *M)
{
  BFS( position, M );  
  Point_2D target;
  int targIndex;
  vector<Point_2D> pps;
  
  if( is_odd_team( name ) ){
    //Make a vector of power pills
    for( int i=0; i<GS.object_name.size(); i++){
      if( GS.object_name[i] == "power pill" && M->is_even_side( GS.object_position[i] )){
	pps.push_back(GS.object_position[i]);
      }
    }
    
    if( name[7]=='1' || name[7]=='2' )
      target = pps.front();
    if( name[7]=='3' || name[7]=='4' )
      target = pps.back();
    if( name[7]=='5' || name[7]=='6' )
      target = pps[pps.size()/2];
  }
    compute_BFS_path( target, path, M );
    
    Point_2D step = Point_2D( path[1].row, path[1].col );
    attempt_move( step.row, step.col, M );
    return;
}

//----------------------------------------------------------------------------
//----------------------------------------------------------------------------

