#ifndef TEAMNHR_HH
#define TEAMNHR_HH

//----------------------------------------------------------------------------
// pacman-like game
// copyright 2010 christopher rasmussen
// university of delaware
// v. 1.0
 
//----------------------------------------------------------------------------

#include "Agent.hh"
//----------------------------------------------------------------------------
int find_closest_pill(const GameState & GS, BlockMaze *M, bool odd);
int find_closest_enemy(const GameState & GS, BlockMaze *M, bool odd_team);
void Dijkstra(Point_2D start, const GameState &GS, BlockMaze *M, bool odd_team);
int num_pills_left(const GameState & GS, BlockMaze *M, bool odd_team);
//----------------------------------------------------------------------------
//----------------------------------------------------------------------------

class TeamNoHonorsRequired : public Agent
{
public:

  TeamNoHonorsRequired(string s, char c, int i, int x = 0, int y = 0) : Agent(s, c, i, x, y) { }
  ~TeamNoHonorsRequired() { }

  void update(const GameState &, BlockMaze *);

};

//----------------------------------------------------------------------------
//----------------------------------------------------------------------------

#endif
